{*:Front:Katalog:Produkty:Detail:default*}
{block breadcrumbs}
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a n:href=":Front:Homepage:default">Úvod</a></li>
        <li class="breadcrumb-item"><a n:href=":Front:Katalog:Uvod:default">Katalog</a></li>
        {if !empty($breadCrumbs)}
            {foreach $breadCrumbs as $breadCrumb}
                <li class="breadcrumb-item"><a n:href=":Front:Katalog:Kategorie:Detail:default $breadCrumb['url']">{$breadCrumb['nazev']}</a></li>
            {/foreach}
        {/if}
        <li class="breadcrumb-item active">{$produkt->nazev}</li>
    </ol>
{/block}
{block content}
<main class="container-xxl content-main" id="produkt">
    <div class="row">
        <section class="col col-md-6">
            <div class="galerie">
                <div data-nanogallery2 = '{
                        "itemsBaseURL":     "{$basePath}/src/katalog/{$produkt->id}/images/",
                        "thumbnailWidth": "200",
                        "thumbnailHeight": "auto",
                        "thumbnailLabel": {
                            "position": "overImageOnBottom",
                            "display": false
                        },
                        "galleryDisplayMode": "rows",
                        "galleryMaxRows": 1,
                        "thumbnailAlignment": "center",
                        "thumbnailOpenImage": true
                    }' >
                    <a href="{$produkt->base_image}" data-ngThumb="thumbs/{$produkt->base_image}">{$produkt->nazev}</a>
                    {foreach $produkt->related('produkty_obrazky.produkty_id') as $image}
                        <a href="{$image->url}" data-ngThumb="thumbs/{$image->url}">{$image->nazev}</a>
                    {/foreach}
                </div>
            </div>
        </section>
        <section class="col col-md-6">
            <h1 n:block="title">{$produkt->nazev}</h1>
            <div class="kod">
                <small class="fw-bold me-2">kód produktu:</small>{$produkt->kod}
            </div>
            <div class="kratky-popis">
                {$produkt->popis_short|noescape}
                <div class="vice-btn-wrapp">
                    <a href="#popis">více...</a>
                </div>
            </div>
            <div class="social-ikony">
                <a href="#"><i class="fab fa-facebook"></i></a>
            </div>
            <div class="cena">
                <div class="fs-2 fw-bold text-danger">{$produkt->cena_dph|number:0, ',', ' '} Kč</div>
                <div class="fs-5">{$produkt->cena|number:2, ',', ' '} Kč</div>
            </div>
        </section>
    </div>
    <section id="produkt-tabs">
        <ul class="cookie-box-nav">
            <li>
                <a class="tabs-tigger active" type="button" data-target="popis">Popis</a>
            </li>
            <li>
                <a class="tabs-tigger" type="button" data-target="vlastnosti">Vlastnosti</a>
            </li>
            <li>
                <a class="tabs-tigger" type="button" data-target="prilohy">Přílohy</a>
            </li>
        </ul>
        <div class="tabs active" id="popis" data-parent="produkt-tabs">
            <div>
                {$produkt->popis_long|noescape}
            </div>
        </div>
        <div class="tabs" id="vlastnosti" data-parent="produkt-tabs">
            <div class="container-fluid">
                <div class="row">
                    <div class="col col-12 col-md-6 col-lg-4 col-xl-3">
                        <div class="table-responsive">
                            <table class="table-striped">
                                <tbody>
                                {foreach $produkt->related('produkty_vlastnosti','produkty_id') as $radek}
                                    <tr>
                                        <td><b>{$radek->ref('vlastnosti')->nazev}</b></td>
                                        <td>{$radek->ref('vlastnosti_hodnoty')->hodnota}</td>
                                    </tr>
                                {/foreach}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="tabs" id="prilohy" data-parent="produkt-tabs">
            <div class="container-fluid">
                <div class="row">
                    <div class="col col-12 col-md-6 col-lg-4 col-xl-3">
                        <div class="table-responsive">
                            <table class="table-striped">
                                <tbody>
                                {foreach $produkt->related('produkty_prilohy','produkty_id') as $radek}
                                    <tr>
                                        <td><b>{$radek->text}</b></td>
                                        <td><a href="{$basePath}/src/katalog/{$produkt->id}/prilohy/{$radek->url}" download><i class="fas fa-download me-2"></i>Stáhnout</a></td>
                                    </tr>
                                {/foreach}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</main>
{/block}

